package reformatKeyedData;
/**
 * Class PreferredTimes
 */

public class PreferredTimes {

  //
  // Fields
  //

	private String[][] preferredTimes; //Start time preference weighting
  
  //
  // Constructors
  //
  public PreferredTimes () {
	  this.preferredTimes = new String[5][9];
  }
	  	
  //
  // Methods
  //


  //
  // Accessor methods
  //
  public String[][] getPreferredTimes() {
	  return this.preferredTimes;
  }

  //
  // Other methods
  //

  /**
   * Adds new day's worth of preferred times
   * @params       day, hour1, hour2, hour3, hour4, hour5, hour6, hour7 hour8
   */
  public void addPreferredTimes(DayOfWeek dayName, String hour1, String hour2, 
		  String hour3, String hour4, String hour5, String hour6, String hour7, 
		  String hour8, String hour9) {
	  int day = dayName.ordinal();
	  this.preferredTimes[day][0] = hour1;
	  this.preferredTimes[day][1] = hour2;
	  this.preferredTimes[day][2] = hour3;
	  this.preferredTimes[day][3] = hour4;
	  this.preferredTimes[day][4] = hour5;
	  this.preferredTimes[day][5] = hour6;
	  this.preferredTimes[day][6] = hour7;
	  this.preferredTimes[day][7] = hour8;
	  this.preferredTimes[day][8] = hour9;
	  }
  
}
